dbXML API

## org.dbxml.xml.dom
Class DocumentTypeImpl

    java.lang.Object
      |
      +--org.dbxml.xml.dom.NodeImpl
            |
            +--org.dbxml.xml.dom.DocumentTypeImpl

All Implemented Interfaces:
  CompressedNode, DBNode, org.w3c.dom.DocumentType, org.w3c.dom.Node

public final class DocumentTypeImpl
extends NodeImpl
implements org.w3c.dom.DocumentType

DocumentTypeImpl

Fields inherited from class org.dbxml.xml.dom.NodeImpl
`EX_DOMSTRING_SIZE, EX_HIERARCHY_REQUEST, EX_INDEX_SIZE, EX_INUSE_ATTRIBUTE, EX_INVALID_STATE, EX_NO_DATA_ALLOWED, EX_NO_MODIFICATION_ALLOWED, EX_NOT_FOUND, EX_WRONG_DOCUMENT, OBJECT_HREF, OBJECT_NS, OBJECT_TYPE, TYPE_APPEND, TYPE_CONTENT, TYPE_INSERT, TYPE_REPLACE, XMLNS_PREFIX`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`DocumentTypeImpl()`

Method Summary
`org.w3c.dom.NamedNodeMap` `getEntities()` A `NamedNodeMap` containing the general entities, both external and internal, declared in the DTD.
`java.lang.String` `getInternalSubset()` The internal subset as a string.The actual content returned depends on how much information is available to the implementation.
`java.lang.String` `getName()` The name of DTD; i.e., the name immediately following the `DOCTYPE` keyword.
`short` `getNodeType()` A code representing the type of the underlying object, as defined above.
`org.w3c.dom.NamedNodeMap` `getNotations()` A `NamedNodeMap` containing the notations declared in the DTD.
`java.lang.String` `getPublicId()` The public identifier of the external subset.
`java.lang.String` `getSystemId()` The system identifier of the external subset.

Methods inherited from class org.dbxml.xml.dom.NodeImpl

`appendChild, checkReadOnly, cloneNode, expandSource, getAttributes, getChildNodes, getDataBytes, getDataLen, getDataPos, getFirstChild, getKey, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSource, getSymbolID, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefined, isDirty, isLoaded, isSameNode, isSupported, load, lookupDefaultNamespaceURI, lookupNamespacePrefix, lookupNamespaceURI, normalize, normalizeNS, removeChild, replaceChild, setDataBytes, setDataBytes, setDataLen, setDataPos, setDirty, setNodeName, setNodeValue, setParentNode, setPrefix, setSource, setUserData, unload`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### DocumentTypeImpl

    public DocumentTypeImpl()

Method Detail

### getNodeType

    public short getNodeType()

  Description copied from class: `NodeImpl`
  A code representing the type of the underlying object, as defined above.
  Specified by:
    `getNodeType` in interface `org.w3c.dom.Node`
  Overrides:
    `getNodeType` in class `NodeImpl`

### getName

    public java.lang.String getName()

  The name of DTD; i.e., the name immediately following the `DOCTYPE` keyword.
  Specified by:
    `getName` in interface `org.w3c.dom.DocumentType`

### getEntities

    public org.w3c.dom.NamedNodeMap getEntities()

  A `NamedNodeMap` containing the general entities, both external and internal, declared in the DTD. Duplicates are discarded. For example in:<!DOCTYPE ex SYSTEM "ex.dtd" [ <!ENTITY foo "foo"> <!ENTITY bar "bar"> <!ENTITY % baz "baz">]> <ex/> the interface provides access to `foo` and `bar` but not `baz`. Every node in this map also implements the `Entity` interface.
  The DOM Level 1 does not support editing entities, therefore `entities` cannot be altered in any way.
  Specified by:
    `getEntities` in interface `org.w3c.dom.DocumentType`

### getNotations

    public org.w3c.dom.NamedNodeMap getNotations()

  A `NamedNodeMap` containing the notations declared in the DTD. Duplicates are discarded. Every node in this map also implements the `Notation` interface.
  The DOM Level 1 does not support editing notations, therefore `notations` cannot be altered in any way.
  Specified by:
    `getNotations` in interface `org.w3c.dom.DocumentType`

### getPublicId

    public java.lang.String getPublicId()

  The public identifier of the external subset.
  Specified by:
    `getPublicId` in interface `org.w3c.dom.DocumentType`
  Since:
    DOM Level 2

### getSystemId

    public java.lang.String getSystemId()

  The system identifier of the external subset.
  Specified by:
    `getSystemId` in interface `org.w3c.dom.DocumentType`
  Since:
    DOM Level 2

### getInternalSubset

    public java.lang.String getInternalSubset()

  The internal subset as a string.The actual content returned depends on how much information is available to the implementation. This may vary depending on various parameters, including the XML processor used to build the document.
  Specified by:
    `getInternalSubset` in interface `org.w3c.dom.DocumentType`
  Since:
    DOM Level 2

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved